> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Summary



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/{id}/summary/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/{id}/summary/:
    get:
      tags:
        - Reports
      summary: Summary
      operationId: reports_summary_retrieve
      parameters:
        - in: query
          name: configuration_id
          schema:
            type: string
            format: uuid
          description: Optionally provide a specific configuration id to query
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this report.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportSummary'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    ReportSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        tags:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/TagsEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        issued_at:
          type: string
          format: date-time
        mona_version:
          allOf:
            - $ref: '#/components/schemas/Version'
          readOnly: true
        comments:
          type: string
          readOnly: true
        dataset:
          allOf:
            - $ref: '#/components/schemas/ReportSummaryDataset'
          readOnly: true
        meta:
          nullable: true
      required:
        - comments
        - dataset
        - id
        - mona_version
        - name
    TagsEnum:
      enum:
        - competitive
        - segment
        - industry
      type: string
      description: |-
        * `competitive` - Competitive
        * `segment` - Segment
        * `industry` - Industry
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    Version:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
        audience:
          type: string
        audience_type:
          allOf:
            - $ref: '#/components/schemas/AudienceTypeEnum'
          default: 1
          minimum: -2147483648
          maximum: 2147483647
        sequence:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
      required:
        - audience
        - id
        - name
        - sequence
    ReportSummaryDataset:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        configurations:
          allOf:
            - $ref: '#/components/schemas/ReportSummaryConfiguration'
          readOnly: true
      required:
        - configurations
        - id
    AudienceTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
      type: integer
      description: |-
        * `0` - None
        * `1` - Customers
        * `2` - Employees
        * `3` - Donors
        * `4` - Media
        * `5` - Gathering 2024 Lecturees
    ReportSummaryConfiguration:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          description: Choose a name for this set to refer to
          maxLength: 250
        is_primary:
          type: boolean
        copied_from:
          type: string
          format: uuid
          nullable: true
        industry_configuration:
          type: string
          format: uuid
          nullable: true
          description: >-
            The corresponding industry configuration that can be used to
            benchmark against.
        comments:
          type: string
          readOnly: true
        content_pages:
          type: array
          items:
            $ref: '#/components/schemas/ContentPage'
          readOnly: true
        filters:
          type: array
          items:
            $ref: '#/components/schemas/DatasetConfigurationFilter'
        result:
          allOf:
            - $ref: '#/components/schemas/ReportSummaryResult'
          readOnly: true
        filterables:
          type: array
          items:
            $ref: '#/components/schemas/DatasetFilterable'
          readOnly: true
      required:
        - comments
        - content_pages
        - filterables
        - filters
        - id
        - result
    ContentPage:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        icon:
          type: string
          nullable: true
          maxLength: 100
        title:
          type: string
          maxLength: 255
        created_by:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
      required:
        - created_by
        - id
        - title
    DatasetConfigurationFilter:
      type: object
      properties:
        filterable:
          $ref: '#/components/schemas/DatasetFilterable'
        value: {}
        operator:
          type: string
          maxLength: 10
      required:
        - filterable
    ReportSummaryResult:
      type: object
      properties:
        state:
          allOf:
            - $ref: '#/components/schemas/DatasetConfigurationResultStatus'
          readOnly: true
        apex_score:
          type: number
          format: double
          maximum: 1000000
          minimum: -1000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        potential_apex_score:
          type: number
          format: double
          maximum: 1000000
          minimum: -1000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        value_boxes:
          type: array
          items:
            $ref: '#/components/schemas/ValueBox'
        population_size:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
          description: >-
            The total number of respondents. Will be auto-populated or
            overwritten.
        rank:
          $ref: '#/components/schemas/Rank'
        opportunity_driver_categories:
          type: object
          additionalProperties: {}
        fba:
          type: object
          additionalProperties: {}
        ppp:
          type: object
          additionalProperties: {}
        analyses:
          type: object
          additionalProperties: {}
        benchmark:
          type: object
          additionalProperties: {}
        misc:
          type: object
          additionalProperties: {}
        attitudes:
          type: array
          items:
            $ref: '#/components/schemas/ReportSummaryAttitude'
          readOnly: true
      required:
        - analyses
        - apex_score
        - attitudes
        - benchmark
        - fba
        - misc
        - opportunity_driver_categories
        - potential_apex_score
        - ppp
        - rank
        - state
        - value_boxes
    DatasetFilterable:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 500
      required:
        - id
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        full_name:
          type: string
          maxLength: 250
        email:
          type: string
          format: email
          title: Email address
          maxLength: 255
        first_name:
          type: string
          nullable: true
          maxLength: 50
        last_name:
          type: string
          nullable: true
          maxLength: 100
      required:
        - email
        - full_name
        - id
    DatasetConfigurationResultStatus:
      type: object
      properties:
        status:
          allOf:
            - $ref: '#/components/schemas/DatasetConfigurationResultStatusStatusEnum'
          readOnly: true
        status_message:
          type: string
          readOnly: true
          nullable: true
        observations_data_pending:
          type: string
          readOnly: true
        text_analysis_data_pending:
          type: string
          readOnly: true
      required:
        - observations_data_pending
        - status
        - status_message
        - text_analysis_data_pending
    ValueBox:
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: 'Ex: ''Annual Churn Reduction'', or ''Incremental Revenue'''
          maxLength: 255
        value:
          type: string
          nullable: true
          description: 'Ex: ''3.2%'' or ''$1,000,000'''
          maxLength: 255
        icon:
          type: string
          nullable: true
          maxLength: 100
        impact_description:
          type: string
          nullable: true
          description: 'Ex: Impact Per Apex Point'
          maxLength: 255
        description:
          type: string
          nullable: true
          description: >-
            Ex: 'This is the annual churn reduction we expect to see from this
            initiative.'
    Rank:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 25
        description:
          type: string
        minimum_differential:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          description: >-
            The minimum difference (%) between a segment's score and potential
            score needed to qualify for this rank, expressed as percentage
        audience_type:
          type: integer
        mona_version:
          type: integer
      required:
        - audience_type
        - description
        - id
        - minimum_differential
        - mona_version
        - name
    ReportSummaryAttitude:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        attitude_id:
          type: string
          format: uuid
          readOnly: true
        keyword:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        explanation:
          type: string
          readOnly: true
        classification:
          allOf:
            - $ref: '#/components/schemas/ClassificationEnum'
          readOnly: true
        ppp_classification:
          nullable: true
          readOnly: true
          oneOf:
            - $ref: '#/components/schemas/PppClassificationEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        seol:
          type: string
          readOnly: true
        performance_rebased:
          type: number
          format: double
          maximum: 10000
          minimum: -10000
          exclusiveMaximum: true
          exclusiveMinimum: true
        importance_rebased:
          type: number
          format: double
          maximum: 10000
          minimum: -10000
          exclusiveMaximum: true
          exclusiveMinimum: true
        performance_order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        importance_order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        performance_agreed:
          type: number
          format: double
          maximum: 1000000
          minimum: -1000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        importance_agreed:
          type: number
          format: double
          maximum: 1000000
          minimum: -1000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        fulfillment_balance:
          type: number
          format: double
          maximum: 1000000
          minimum: -1000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        fulfillment_ratio:
          type: number
          format: double
          maximum: 1000000
          minimum: -1000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        content_icon_url:
          type: string
          readOnly: true
          nullable: true
        comments:
          allOf:
            - $ref: '#/components/schemas/ReportSummaryAttitudeComment'
          readOnly: true
        content_recommendations:
          type: array
          items:
            $ref: '#/components/schemas/ContentRecommendationField'
        content_studies:
          type: array
          items:
            $ref: '#/components/schemas/ContentStudiesField'
      required:
        - attitude_id
        - classification
        - comments
        - content_icon_url
        - content_recommendations
        - content_studies
        - description
        - explanation
        - fulfillment_balance
        - fulfillment_ratio
        - id
        - importance_agreed
        - importance_rebased
        - keyword
        - performance_agreed
        - performance_rebased
        - ppp_classification
        - seol
    DatasetConfigurationResultStatusStatusEnum:
      enum:
        - pending
        - awaiting_relaimpo
        - awaiting_review
        - complete
        - locked
        - failed
      type: string
      description: |-
        * `pending` - Pending
        * `awaiting_relaimpo` - Awaiting Relaimpo
        * `awaiting_review` - Awaiting Review
        * `complete` - Complete
        * `locked` - Locked
        * `failed` - Failed
    ClassificationEnum:
      enum:
        - FE
        - BL
        - BH
        - AD
        - IN
      type: string
      description: |-
        * `FE` - feelings
        * `BL` - beliefs
        * `BH` - behaviours
        * `AD` - advocacy
        * `IN` - intent
    PppClassificationEnum:
      enum:
        - NA
        - PE
        - PR
        - PU
      type: string
      description: |-
        * `NA` - na
        * `PE` - people
        * `PR` - product
        * `PU` - purpose
    ReportSummaryAttitudeComment:
      type: object
      properties:
        count:
          type: integer
        commenters:
          type: array
          items:
            $ref: '#/components/schemas/ReportSummaryAttitudeCommentCommenters'
      required:
        - commenters
        - count
    ContentRecommendationField:
      type: object
      properties:
        header:
          type: string
        subtext:
          type: string
        example:
          type: string
        why:
          type: string
      required:
        - example
        - header
        - subtext
        - why
    ContentStudiesField:
      type: object
      properties:
        title:
          type: string
        link:
          type: string
          format: uri
      required:
        - link
        - title
    ReportSummaryAttitudeCommentCommenters:
      type: object
      properties:
        full_name:
          type: string
      required:
        - full_name
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````